unit CPFrm;

interface

{$I RV_FMXDefs.inc}

uses
  FMX.Forms, FMX.StdCtrls, FMX.Edit, System.Classes, FMX.Types, FMX.Controls,
  FMX.Controls.Presentation, FMX.Layouts,
  fmxRVTypes;

type
  TfrmCP = class(TForm)
    lblStatus: TLabel;
    btnCancel: TButton;
    btnOk: TButton;
    btnDelete: TButton;
    ltButtons: TFlowLayout;
    TopToolBar: TToolBar;
    ToolBarLabel: TLabel;
    btnBack: TSpeedButton;
    VertScrollBox1: TVertScrollBox;
    Layout1: TLayout;
    Label1: TLabel;
    txtName: TEdit;
    Layout2: TLayout;
    Label2: TLabel;
    txtTag: TEdit;
    btnCancel1: TSpeedButton;
    btnDelete1: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; var KeyChar: Char;
      Shift: TShiftState);
    procedure btnBackClick(Sender: TObject);
    procedure btnDelete1Click(Sender: TObject);
    procedure btnDeleteClick(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
    procedure btnCancel1Click(Sender: TObject);
  private
    { Private declarations }
    procedure DeleteCheckpoint;
    procedure SetCheckpoint;
  public
    { Public declarations }
  end;

var
  frmCP: TfrmCP;

implementation

uses
  Unit1;

{$R *.FMX}

procedure TfrmCP.FormCreate(Sender: TObject);
begin
  {$IFDEF RVMOBILE}
  ltButtons.Visible := False;
  {$ELSE}
  TopToolBar.Visible := False;
  {$ENDIF}
end;

procedure TfrmCP.FormKeyDown(Sender: TObject; var Key: Word; var KeyChar: Char;
  Shift: TShiftState);
begin
  if Key = rvvkHardwareBack then
    btnBackClick(nil);
end;


procedure TfrmCP.DeleteCheckpoint;
begin
  Form1.RichViewEdit1.RemoveCurrentCheckpoint;
end;

procedure TfrmCP.SetCheckpoint;
begin
  Form1.RichViewEdit1.SetCurrentCheckpointInfo(txtTag.Text, txtName.Text, False);
end;

procedure TfrmCP.btnBackClick(Sender: TObject);
begin
  SetCheckpoint;
  Close;
end;

procedure TfrmCP.btnCancel1Click(Sender: TObject);
begin
  Close;
end;

procedure TfrmCP.btnDelete1Click(Sender: TObject);
begin
  DeleteCheckpoint;
  Close;
end;

procedure TfrmCP.btnDeleteClick(Sender: TObject);
begin
  DeleteCheckpoint;
end;

procedure TfrmCP.btnOkClick(Sender: TObject);
begin
  SetCheckpoint;
end;


end.
