unit ListFrm;

interface

uses FMX.Forms, FMX.StdCtrls, FMX.Layouts, FMX.ListBox, System.Classes, FMX.Types,
  FMX.Controls, FMX.Controls.Presentation, fmxRVTypes;

{$I RV_FMXDefs.inc}

type
  TfrmList = class(TForm)
    lst: TListBox;
    ltButtons: TFlowLayout;
    btnCancel: TButton;
    btnGoTo: TButton;
    TopToolBar: TToolBar;
    ToolBarLabel: TLabel;
    btnBack: TSpeedButton;
    procedure FormShow(Sender: TObject);
    procedure lstChange(Sender: TObject);
    procedure btnBackClick(Sender: TObject);
    procedure btnGoToClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word; var KeyChar: Char;
      Shift: TShiftState);
    procedure lstItemClick(const Sender: TCustomListBox;
      const Item: TListBoxItem);
  private
    { Private declarations }
    procedure GoToCheckpoint;
    procedure UpdateButtons;
  public
    { Public declarations }
  end;

var
  frmList: TfrmList;

implementation

uses
  Unit1;

{$R *.FMX}

procedure TfrmList.UpdateButtons;
begin
  btnGoTo.Enabled := lst.ItemIndex <> -1;
end;

procedure TfrmList.lstChange(Sender: TObject);
begin
  UpdateButtons;
end;

procedure TfrmList.lstItemClick(const Sender: TCustomListBox;
  const Item: TListBoxItem);
begin
  {$IFDEF RVMOBILE}
  GoToCheckpoint;
  Close;
  {$ENDIF}
end;

procedure TfrmList.btnBackClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmList.btnGoToClick(Sender: TObject);
begin
  GoToCheckpoint;
end;

procedure TfrmList.FormCreate(Sender: TObject);
begin
  {$IFDEF RVMOBILE}
  ltButtons.Visible := False;
  {$ELSE}
  TopToolBar.Visible := False;
  {$ENDIF}
end;

procedure TfrmList.FormShow(Sender: TObject);
begin
  UpdateButtons;
end;

procedure TfrmList.GoToCheckpoint;
begin
  if lst.ItemIndex >= 0 then
  begin
    Form1.RichViewEdit1.ScrollToPosition(
      Form1.RichViewEdit1.GetCheckPointY(lst.ItemIndex));
    Form1.RichViewEdit1.SetFocus;
  end;
end;

procedure TfrmList.FormKeyDown(Sender: TObject; var Key: Word;
  var KeyChar: Char; Shift: TShiftState);
begin
  if Key = rvvkHardwareBack then
    btnBackClick(nil);
end;

end.
